.menu{
    display: flex;
    gap: 12px;
    justify-content: center;
    align-items: center;
}
.menu .menu-item{
    color: #fff;
}
.menu li{
    padding: 0px;
}
.menu li:hover{border-radius:10px;}
.menu li a{
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 0px 15px;
    height: 36px;
}
/* .menu li a:hover{
    border-radius:10px;
    background-color: rgba(255,255,255,0.15);
} */
.menu li li{
    padding: 0px 0px;
}
.menu li li{border-radius:5px;}
.menu li li:hover{border-radius:5px;}
.menu li li a{
    padding: 0px 0px;
    height: auto;
}
.menu .menu-item.menu-item-has-children a{
    display: flex;
    flex-direction: row;
    align-items: center;
}

.menu .menu-item.menu-item-has-children > a::after {
    content: "";
    font-size: 0.6em;
    margin-left: 5px;
    color: #333;
    background-image: url("../images/menu-arrow.svg");
    width: 20px;
    height: 20px;
    display: inline-block;
    transition-duration: .3s;
    transition: transform 0.3s ease-in-out;
}
.menuarrow .menu .menu-item.menu-item-has-children > a::after {
     background-image: url("../images/menu-arrow.svg");
    filter: invert(1);
}
.menu .menu-item.menu-item-has-children:hover > a::after {
    transform: rotate(180deg);
}
.menu .menu-item.menu-item-has-children:hover > .sub-menu {
    display: grid;
    grid-template-columns: repeat(6, minmax(0, 1fr));
    gap: 10px;
}
.menu .menu-item.menu-item-has-children .sub-menu{
    display: none;
    position: absolute;
    top: 100%;
    left: auto;
    right: 0;
    background-color: #fff;
    padding: 15px 17px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.15);
    z-index: 9999;
    width: 100vw;
    max-width: 1100px;
    border-radius: 15px;
}
.menu .menu-item.menu-item-has-children .sub-menu li{
    position: relative;
    overflow: hidden;
    width: 166px;
    height: 67px;
    padding: 0px;
}

.menu .menu-item.menu-item-has-children .sub-menu li a{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
}
.menu .menu-item.menu-item-has-children .sub-menu li a span{
    display: none;
}
.menu .menu-item.menu-item-has-children .sub-menu li a p {
    line-height: normal;
}

.menu .menu-item.menu-item-has-children .sub-menu li a p span{
    display: block;
    line-height: normal;
    padding-top: 3px;
}


.resort-template-default header .menu .menu-item{
    color: #fff;
}

.resort-template-default header .menu .menu-item.menu-item-has-children > a::after {
    background-image: url("../images/menu-arrow.svg");
    filter: invert(1);
}
